Bug 1356507

Summary: Clamd does not start before clamav-milter.service
Product: [Fedora] Fedora EPEL Reporter: Milan Kerslager <milan.kerslager>
Component: clamavAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: janfrode, mstevens, orion, redhat-bugzilla, rhbugs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: clamav-0.99.2-8.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-19 05:48:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Run clamd@scan.service before clamav-milter.service starts none

Description Milan Kerslager 2016-07-14 09:48:19 UTC
Created attachment 1179701 [details]
Run clamd@scan.service before clamav-milter.service starts

I have clamav-milter-systemd-0.99.2-1.el7.noarch.

When clamav-milter.service is started, clamd daemon should be running already.

But there is no definition for this in /usr/lib/systemd/system/clamav-milter.service, something like:

Wants = clamd@scan.service
After = clamd@scan.service

Please apply the patch attached.

Then the command "systemctl start clamav-milter.service" should start clamd@scan before milter daemon starts.

Comment 1 Fedora Update System 2017-03-28 06:47:41 UTC
clamav-0.99.2-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-85d282a75d

Comment 2 Fedora Update System 2017-03-28 17:33:28 UTC
clamav-0.99.2-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-85d282a75d

Comment 3 Fedora Update System 2017-03-30 01:48:45 UTC
clamav-0.99.2-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-85d282a75d

Comment 4 Fedora Update System 2017-07-19 05:48:39 UTC
clamav-0.99.2-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.